[kdebase-workspace] - kdebase-workspace depends on xorg-x11-apps (#537709)

Rex Dieter rdieter at fedoraproject.org
Wed Oct 20 15:16:48 UTC 2010


commit 76a756d9b34a58ccebbe5001d0ec47bb6bed0629
Author: Rex Dieter <rdieter at fedoraproject.org>
Date:   Wed Oct 20 10:23:03 2010 -0500

    - kdebase-workspace depends on xorg-x11-apps (#537709)

 kdebase-workspace-4.5.2-startkde_zenity.patch |   70 +++++++++++++++++++++++++
 kdebase-workspace.spec                        |   11 +++-
 2 files changed, 79 insertions(+), 2 deletions(-)
---
diff --git a/kdebase-workspace-4.5.2-startkde_zenity.patch b/kdebase-workspace-4.5.2-startkde_zenity.patch
new file mode 100644
index 0000000..d9cef10
--- /dev/null
+++ b/kdebase-workspace-4.5.2-startkde_zenity.patch
@@ -0,0 +1,70 @@
+diff -up kdebase-workspace-4.5.2/startkde.cmake.zenity kdebase-workspace-4.5.2/startkde.cmake
+--- kdebase-workspace-4.5.2/startkde.cmake.zenity	2010-10-20 10:09:31.943643219 -0500
++++ kdebase-workspace-4.5.2/startkde.cmake	2010-10-20 10:15:13.310645585 -0500
+@@ -13,12 +13,20 @@ fi
+ # because we still need to do some cleanup.
+ trap 'echo GOT SIGHUP' HUP
+ 
++# See http://bugzilla.redhat.com/537609 , a naive attempt to drop dep 
++# on xmessage and allow alternatives like zenity.  
++message() {
++  xmessage -geometry 500x100 "$1" > /dev/null 2>/dev/null || \
++    zenity --info --text="$1" > /dev/null 2>/dev/null ||:
++  return $?
++}
++
+ # Check if a KDE session already is running and whether it's possible to connect to X
+ kcheckrunning
+ kcheckrunning_result=$?
+ if test $kcheckrunning_result -eq 0 ; then
+ 	echo "KDE seems to be already running on this display."
+-	xmessage -geometry 500x100 "KDE seems to be already running on this display." > /dev/null 2>/dev/null
++	message "KDE seems to be already running on this display." > /dev/null 2>/dev/null
+ 	exit 1
+ elif test $kcheckrunning_result -eq 2 ; then
+ 	echo "\$DISPLAY is not set or cannot connect to the X server."
+@@ -116,7 +124,7 @@ fi
+ kstartupconfig4
+ returncode=$?
+ if test $returncode -ne 0; then
+-    xmessage -geometry 500x100 "kstartupconfig4 does not exist or fails. The error code is $returncode. Check your installation."
++    message "kstartupconfig4 does not exist or fails. The error code is $returncode. Check your installation."
+     exit 1
+ fi
+ [ -r $kdehome/share/config/startupconfig ] && . $kdehome/share/config/startupconfig
+@@ -245,7 +253,7 @@ for resource in tmp cache socket; do
+     else
+         echo 'startkde: Call to lnusertemp failed (temporary directories full?). Check your installation.'  1>&2
+         test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+-        xmessage -geometry 600x100 "Call to lnusertemp failed (temporary directories full?). Check your installation."
++        message "Call to lnusertemp failed (temporary directories full?). Check your installation."
+         exit 1
+     fi
+ done
+@@ -269,7 +277,7 @@ if qdbus >/dev/null 2>/dev/null; then
+ else
+     echo 'startkde: Could not start D-Bus. Can you call qdbus?'  1>&2
+     test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+-    xmessage -geometry 500x100 "Could not start D-Bus. Can you call qdbus?"
++    message "Could not start D-Bus. Can you call qdbus?"
+     exit 1
+ fi
+ 
+@@ -314,7 +322,7 @@ if test $? -ne 0; then
+   # Startup error
+   echo 'startkde: Could not start kdeinit4. Check your installation.'  1>&2
+   test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+-  xmessage -geometry 500x100 "Could not start kdeinit4. Check your installation."
++  message "Could not start kdeinit4. Check your installation."
+   exit 1
+ fi
+ 
+@@ -343,7 +351,7 @@ if test $? -eq 255; then
+   # Startup error
+   echo 'startkde: Could not start ksmserver. Check your installation.'  1>&2
+   test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
+-  xmessage -geometry 500x100 "Could not start ksmserver. Check your installation."
++  message "Could not start ksmserver. Check your installation."
+ fi
+ 
+ # wait if there's any crashhandler shown
diff --git a/kdebase-workspace.spec b/kdebase-workspace.spec
index 3347523..1d52555 100644
--- a/kdebase-workspace.spec
+++ b/kdebase-workspace.spec
@@ -17,7 +17,7 @@ Version: 4.5.2
 # for .0 releases we have to use '00' as '0' is treated as null by cmake, dont' forget to update
 %define kde4workspace_version %{version} 
 
-Release: 3%{?dist}
+Release: 4%{?dist}
 
 License: GPLv2
 Group:   User Interface/Desktops
@@ -57,6 +57,8 @@ Patch20: kdebase-workspace-4.4.92-xsession_errors_O_APPEND.patch
 Patch21: kdebase-workspace-4.3.98-platformplugin-widgetstyle4.patch
 # fix the Games menu in the classic menu mixing up Name and Description
 Patch22: kdebase-workspace-4.4.0-classicmenu-games.patch
+# drop hard dep on xorg-x11-apps (for xmessage), http://bugzilla.redhat.com/537609
+Patch23: kdebase-workspace-4.5.2-startkde_zenity.patch 
 
 ## upstreamable patches:
 # "keyboard stops working", https://bugs.kde.org/show_bug.cgi?id=171685#c135
@@ -159,7 +161,8 @@ Requires: ksysguardd = %{version}-%{release}
 # startkde references: dbus-launch df mkdir test xmessage xprop xrandr xrdb xset xsetroot
 Requires: coreutils
 Requires: dbus-x11
-Requires: xorg-x11-apps
+# See http://bugzilla.redhat.com/537609
+#Requires(hint): xorg-x11-apps
 Requires: xorg-x11-utils
 Requires: xorg-x11-server-utils
 
@@ -319,6 +322,7 @@ Requires: akonadi
 %patch20 -p1 -b .xsession_errors_O_APPEND
 %patch21 -p1 -b .platformplugin-widgetstyle4
 %patch22 -p1 -b .classicmenu-games
+%patch23 -p1 -b .startkde_zenity
 
 # upstream patches
 %patch50 -p1 -b .kde#171685
@@ -703,6 +707,9 @@ fi
 
 
 %changelog
+* Wed Oct 20 2010 Rex Dieter <rdieter at fedoraproject.org> - 4.5.2-4
+- kdebase-workspace depends on xorg-x11-apps (#537709)
+
 * Sat Oct 16 2010 Rex Dieter <rdieter at fedoraproject.org> - 4.5.2-3
 - backport kwin ui for unredirecting fullscreen windows
 


More information about the scm-commits mailing list